Redmine - Defect #12667

500 error when viewing issue that contains 2-byte character
2012-12-22 07:01 - Erik Mitchell

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 21.2

Description
Fixed by adding "# encoding: utf-8" to app/controllers/issues_controller.rb

0at,2

1. encoding: utf-8 #

History

#1 - 2012-12-22 07:03 - Erik Mitchell
Diff should be:

0al, 2
> # encoding: utf-8
> #

#2 - 2012-12-23 03:20 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Redmine 2.x internal encoding is utf-8.
source:tags/2.2.0/config/application.rb#L 40

| can see non ASCII issue on Redmine.org.
An example is #12645.

#3 - 2012-12-23 04:00 - Erik Mitchell

Is it perhaps working on redmine.org because a different database adapter is being used?

I am using "mysql". Searching the internet suggested that changing to "mysql2" might resolve the problem, however | was not able to get this to work
in my environment. Changing the controller script did fix the issue, though.
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.2.0/config/application.rb#L40
https://www.redmine.org/issues/12645
http://www.tcpdf.org

